; EazySell Configuration File
; B2B SaaS Inventory & Order Management System

[app]
name = "EazySell"
env = "development"
host = "0.0.0.0"
port = 8080
debug = true

[database]
host = "localhost"
port = 5432
username = "postgres"
password = "postgres"
name = "eazysell"
sslmode = "disable"
max_open_conns = 25
max_idle_conns = 5
conn_max_lifetime = 5m

[redis]
host = "localhost"
port = 6379
password = ""
db = 0
key_prefix = "eazysell:"

[jwt]
secret = "your-super-secret-jwt-key-change-in-production"
access_token_expiry = 24h
refresh_token_expiry = 168h

[upload]
max_file_size = 10MB
allowed_extensions = ".jpg,.jpeg,.png,.webp"
upload_path = "./uploads"
base_url = "http://localhost:8080/uploads"

[log]
level = "debug"
format = "json"
output = "stdout"

[analytics]
cache_duration = 5m
date_format = "2006-01-02"
timezone = "UTC"

[rate_limit]
requests_per_minute = 60
burst = 10
